package cz.cvut.fel.aos.resources;

import cz.cvut.fel.aos.db.AOSMemoryDB;
import cz.cvut.fel.aos.db.entities.UserEntity;
import cz.cvut.fel.aos.resources.mapping.MappingUser;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/users/")
public class UsersResource {
    
    @GET
    @Path("/{nickname}/")
    @Produces(MediaType.APPLICATION_JSON)
    public MappingUser getUser(@PathParam("nickname") String nickname) {
        UserEntity userEntity = AOSMemoryDB.getUserByNick(nickname);
        return new MappingUser(userEntity);
    }
    
    @POST
    @Path("/")
    @Produces(MediaType.TEXT_PLAIN)
    @Consumes(MediaType.APPLICATION_JSON)
    public String add(MappingUser newUser){
        UserEntity userEntity = new UserEntity(newUser.getNickname(), newUser.getPassword());
        boolean ret = AOSMemoryDB.addUser(userEntity);
        
        //sends the return value (primitive type) as plain text over network
        return String.valueOf(ret);
    }
    
}
